• Post Reply Bookmark Topic Watch Topic
  • New Topic

SOAP stubs generated out of server Jboss4.2.3 GA and JDK 1.6 are incompatible with Wildfly10.0  RSS feed

 
Greenhorn
Posts: 7
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
We have jboss 4.2.3 GA and SOAP web service hosted on it. The stubs are generated by .Net developer team and they are calling our web service. This part is working fine. Which is running with Java 1.6

Now recently we have upgraded to Wildfly10.0 from Jboss 4.2.3 GA, now old stubs which are generated by the .Net Team are not working. We have not changed any of the SOAP web service. Which is running with Java 1.8

We suggested them to re-generate the stubs and use it, after re-generating the stubs they are able to use our web service.

Our analysis are:

With old stubs they are able call our web service, our java product is replying with proper SOAP message, once the .Net receives the SOAP message, SOAP is failing to convert back it to object with old stubs.

Even we compared old and new stubs classes, looks both are same only except the tool used to generate the stubs.

The SOAP message is also same for when they use old and new stubs. We are clueless what is causing the failure at .Net end, they are forcing us to make our Wildfly10.0 server compatible to support the older stubs and they are not ready to give patch to client as there is no change in their product.

Please find the GitHub link for the old and new stubs and SOAP messages.

Click Here for the stubs and SOAP Messages

Click here for stubs and inbound and outbound messages
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!